Loading...
Searching...
No Matches
NDC.hh File Reference
`#include <log4shib/Portability.hh>`
`#include <string>`
`#include <vector>`
Include dependency graph for NDC.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | log4shib::NDC
| The NDC class implements nested diagnostic contexts as defined by Neil Harrison in the article "Patterns for Logging Diagnostic Messages" part of the book "<i>Pattern Languages of Program Design 3</i>" edited by Martin et al. More...
struct | log4shib::NDC::DiagnosticContext

## Namespaces

namespace | log4shib
| The top level namespace for all 'Log for C++' types and classes.